# University Of Southampton LaTeX documents
LaTeX Documents for the University of Southampton. Mainly for Thesis and project reports

For slides with Beamer, please see https://git.soton.ac.uk/sw2f11/latex-slides-template
## Your `{TEXMF}` root subdirectory
For Tex Live: This whole folder can be moved into the `~/texmf` directory to begin using the class files.

For MikTeX: It is platform dependent, See `UserInstall` from (https://miktex.org/kb/texmf-roots).
You may need to register your directories: https://docs.miktex.org/manual/localadditions.html.
You will need to update the filename database (FNDB) (MiKTeX Console -> Tasks ->Refresh file name database), see https://docs.miktex.org/manual/configuring.html#fndbupdate. You can do this in the command line with the `initexmf -u` command.

## The folder post install
If using the zip download there may be one or two containing directories before the actual
folders that need copying. Once the folder has been extracted your `{TEXMF}` directory should
look like so.

```
+-{TEXMF}
    +-bibtex
    |  +-bib
    |  |   +-uosdocs
    |  +-bst
    |      +-uosdocs
    +-doc
    |  +-latex
    |      +-uosdocs
    +-templates
    |  +-latex
    |      +-uosdocs
    +-tex
    |  +-latex
    |      +-uosdocs
    +-source
       +-docstrip
           +-uosdocs
```

## About this package
Created with docstrip `.ins` and `.dtx` files in the source directory. See the Instructions manual for more info about usage and building.

The version hosted on https://git.soton.ac.uk/el7g15/uos-latex-template is kept up to date with the University of Southampton template. The version hosted on GitHub may diverge from that.
